<label class="label__text">{{labelText | translate}} <span *ngIf="isRequired" class='label__required'>*</span></label>
<span class="uploadHintText">{{hintText | translate}}</span>

<div class="uploadFile--wrap">

    <nz-upload
        [nzMultiple]=" true"
        [(nzFileList)]="fileList"
        [nzBeforeUpload]="beforeUpload"
        [nzRemove]="removeFile"
        [nzDownload]="downloadFile"
        [nzAccept]="fileExtensionAccept"
    >

        <button class="btnUploadFile">{{'partnership.taxRegisters.btnUploadFile' | translate}}</button>

    </nz-upload>
</div>

<div *ngIf="isRequired && isSubmitted && this.fileList?.length === 0">
    <div class="input__message">
        <em nz-icon nzType="close-circle" nzTheme="outline"></em>
        <span class="text__message">{{'partnership.validate.fileRequired' | translate}}</span>
    </div>
</div>
